@import url("https://fonts.googleapis.com/css2?family=Anybody:ital,wght@0,100..900;1,100..900&display=swap");

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body {
  font-family: "Anybody", sans-serif;
  color: #dfdfd8;
}
.container {
  width: min(90%, 1120px);
  margin-inline: auto;
}
img {
  width: 100%;
}
header {
  background-color: #fafaf6;
  height: 4.5rem;
  position: sticky;
  width: 100%;
  top: 0;
}

.desktop-menu {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
}
.desktop-menu h1 {
  font-size: 1.5625rem;
  font-weight: 700;
  color: #000;
}
.menus-link {
  display: flex;
  gap: 20px;
}
.menus-link li {
  list-style: none;
}
.menus-link li a {
  text-decoration: none;
  font-size: 1.25rem;
  font-weight: 500;
  color: #2b2b2b;
}
.menus-link li a:hover {
  color: #5f6ad4;
}
.hamburger {
  display: none;
}
.mobile-menu {
  display: none;
}
.moble-menu-actions {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 80%;
}
.btn-primary,
.btn-secondary {
  display: inline-block;
  background-color: #5f6ad4;
  padding: 20px;
  margin: 5px;
  border-radius: 5px;
  text-decoration: none;
  color: #fff;
  font-size: 1.25rem;
  text-align: center;
}
.btn-secondary {
  background-color: transparent;
  border: 1px solid white;
}

/* hero section */
.hero {
  height: calc(100vh - 4.5rem);
  background:
    linear-gradient(rgba(0, 0, 0, 0.4), rgb(0, 0, 0, 0.4)),
    url(https://mobirise.com/extensions/retreatm5/outdoor-yoga-classes/assets/images/pexels-min-an-1234035.jpg);
  background-position: bottom;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
}
.hero .container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 1rem;
}
.hero h1 {
  font-size: 5rem;
  color: #fff;
  font-weight: 400;
  text-transform: uppercase;
  text-align: center;
}
.btn {
  padding: 0.9375rem 3.75rem;
  font-size: 1.25rem;
  background-color: #5fd46f;
  color: #fff;
  border: none;
  border-radius: 0.625rem;
  cursor: pointer;
  transition: background-color 0.3s ease;
}
.btn:hover {
  background-color: #fafaf6;
  color: black;
}
/* yoga Section */
.yoga {
  background:
    linear-gradient(rgba(237, 233, 233, 0.2), rgba(236, 229, 229, 0.2)),
    url("https://mobirise.com/extensions/retreatm5/outdoor-yoga-classes/assets/images/pexels-lucas-pezeta-2121066.jpg");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  height: 90vh;
  margin-top: 6rem;
  border-radius: 1.5625rem;
  display: flex;
  align-items: flex-end;
}
.yoga .content {
  display: flex;
  flex-direction: column;
  gap: 30px;
  align-items: center;
  justify-content: center;
  max-width: 728px;
  margin-inline: auto;
  color: #fff;
  margin-bottom: 7rem;
}

.yoga .content h1 {
  font-size: 3.25rem;
  font-weight: 700;
  text-align: center;
}
.yoga .content p {
  font-size: 1.5rem;
  text-align: center;
  font-weight: 700;
}
.info-boxs {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 5rem;
  margin-block: 6rem;
}
.box {
  display: flex;
  flex-direction: column;
  gap: 1.5525rem;
}
.box img {
  border-radius: 15px;
}
.box h1 {
  font-size: 1.5625rem;
  color: #2b2b2b;
}
.box p {
  color: #646464;
  font-size: 1.25rem;
}

.perfect-condtion {
  height: 438px;
  background:
    linear-gradient(rgba(237, 233, 233, 0.2), rgba(236, 229, 229, 0.2)),
    url("https://mobirise.com/extensions/retreatm5/outdoor-yoga-classes/assets/images/pexels-andrea-piacquadio-3779750.jpeg");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-block: 2rem;
  background-attachment: fixed;
}
.perfect-condtion h2 {
  color: #2a2a2a;
  font-size: 3.125rem;
  font-weight: 400;
  margin-bottom: 2rem;
}
.perfect-condtion p {
  color: #2b2b2b;
  font-weight: 400;
}

.yoga-classes {
  height: 355.188px;
  background:
    linear-gradient(rgba(237, 233, 233, 0.2), rgba(236, 229, 229, 0.2)),
    url("https://plus.unsplash.com/premium_photo-1664910763966-73716b0a4adc?w=600&auto=format&fit=crop&q=60&ixlib=rb-4.1.0&ixid=M3wxMjA3fDB8MHxwaG90by1yZWxhdGVkfDE5fHx8ZW58MHx8fHx8");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-block: 2rem;
  margin-block: 5rem;
}
.yoga-box {
  border-radius: 18px;
  border: 2px solid #5f6ad4;
  background-color: #dfdfd8;
  color: #2a2a2a;
  display: flex;
  justify-content: space-between;
  height: 50%;
  align-items: center;
  padding: 1rem;
}

footer{
  background-color: #2a2a2a;
  color: #fff;
  font-size: 1.25rem;
  padding: 2rem;
}









@media (max-width: 768px) {
  .desktop-menu {
    display: none;
  }
  header {
    height: 0;
  }
  i {
    z-index: 11111;
  }

  .hamburger {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 10%;
    background-color: #5f6ad4;
    width: 50px;
    height: 50px;
    color: white;
    right: 5%;
    border-radius: 50%;
    font-size: 2rem;
  }
  .mobile-menu {
    display: flex;
    justify-content: center;
    position: fisxed;
    background-color: #2b2b2b;
    color: white;
    inset: 0 0 0 0;
    transform: translateX(0%);
    transition: transform 350ms ease-in-out;
  }
  .mobile-menu[data-visible="false"] {
    transform: translateX(100%);
  }
  .hamburger i[data-visible="true"] {
    display: block;
  }
  .hamburger i[data-visible="false"] {
    display: none;
  }
  .mobile-menu .navigation {
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-top: 5rem;
    gap: 2.5rem;
  }
  .mobile-menu .navigation .menus-link {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  .mobile-menu h1 {
    font-size: 2.3125rem;
    font-weight: 700;
    border-bottom: 1px solid white;
    padding: 10px;
  }
  .menus-link a {
    color: white !important;
  }
  .hero {
    height: 100vh;
  }
  .hero h1 {
    font-size: 3.0265rem;
  }
  .yoga .content {
    margin-bottom: 2rem;
  }

  .yoga .content h1 {
    font-size: 2.1875rem;
  }
  .yoga .content p {
    font-size: 1.3125rem;
    padding: 1rem;
  }
  .info-boxs {
    grid-template-columns: 1fr;
  }
  .perfect-condtion h2 {
    font-size: 2.125rem;
  }
  .perfect-condtion p {
    font-size: 1.125rem;
  }
  .yoga-box {
    flex-direction: column;
    height: 70%;
  }
  .yoga-box h2{
    font-size: 1.3125rem;
    font-weight: 400;
    padding: 1rem;
  }
}
